at.chipkarte.client.ebs.soap

## Class DateiInfo

- Object
- - at.chipkarte.client.ebs.soap.DateiInfo

-     public class DateiInfo
      extends Object

  Dient der Ein- und Ausgabe von Informationen zu einer Datei. Bei Eingabe: Jede Datei die im als Attachment übermittelten ZIP Archiv enthalten ist, muss eine Dateiinfo besitzen. In die Dateiinfo müssen der Namen und das Format (Extension) der im ZIP enthaltenen Datei eingetragen werden. Zusätzlich muss zu jeder Datei angegeben werden welcher Inhalt damit gemeint ist (DateiInhaltsTyp).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateiInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDateiformat()` Dateiformat.
    `Integer` | `getDateigroesse()` Dateigröße (wird bei Retournierung gesetzt).
    `String` | `getDateiInhaltstyp()` Angabe des Typs der Datei.
    `String` | `getDateiname()` Dateiname (inklusive Extension) .
    `Long` | `getDateinummer()` Dateinummer, dient gemeinsam mit der Antragsreferenz als eindeutiger Identifier einer Anlage (wird bei Retournierung gesetzt).
    `void` | `setDateiformat(String dateiformat)`
    `void` | `setDateigroesse(Integer dateigroesse)`
    `void` | `setDateiInhaltstyp(String dateiInhaltstyp)`
    `void` | `setDateiname(String dateiname)`
    `void` | `setDateinummer(Long dateinummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateiInfo

          public DateiInfo()

  - ### Method Detail

    - #### getDateiname

          public String getDateiname()

      Dateiname (inklusive Extension) .
      Bei Retournierung einer Datei wird dem Dateinamen automatisch die Dateinummer vorangestellt (Format: _).
      Angabe: Muss.
      Format: mindestens 5-stellig bis maximal 100-stellig (bei Eingabe) und maximal 120-stellig (bei Ausgabe)
      Returns:
        Dateiname.

    - #### setDateiname

          public void setDateiname(String dateiname)

    - #### getDateiformat

          public String getDateiformat()

      Dateiformat.
      Mögliche Werte siehe `DateiformatTypConstants`.
      Angabe: Muss.
      Returns:
        Dateiformat.

    - #### setDateiformat

          public void setDateiformat(String dateiformat)

    - #### getDateiInhaltstyp

          public String getDateiInhaltstyp()

      Angabe des Typs der Datei.
      Mögliche Werte siehe `DateiInhaltsTypConstants`.
      Angabe: Muss.
      Returns:
        DateiInhaltstyp.

    - #### setDateiInhaltstyp

          public void setDateiInhaltstyp(String dateiInhaltstyp)

    - #### getDateigroesse

          public Integer getDateigroesse()

      Dateigröße (wird bei Retournierung gesetzt).
      Wird bei Eingabe ignoriert.
      Angabe: Kann.
      Returns:
        Dateigroesse.

    - #### setDateigroesse

          public void setDateigroesse(Integer dateigroesse)

    - #### getDateinummer

          public Long getDateinummer()

      Dateinummer, dient gemeinsam mit der Antragsreferenz als eindeutiger Identifier einer Anlage (wird bei Retournierung gesetzt).
      Wird bei Eingabe ignoriert.
      Angabe: Kann.
      Format: 19-stellig
      Returns:
        Dateinummer.

    - #### setDateinummer

          public void setDateinummer(Long dateinummer)